Skip to main content
POST
/
v1
/
domains
/
{id}
/
zone-records
Create/replace zone record
curl --request POST \
  --url https://api.usenaive.ai/v1/domains/{id}/zone-records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>",
  "name": "<string>",
  "ttl": 43230,
  "priority": 32767.5,
  "mode": "replace",
  "acknowledge_unowned": true
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Path Parameters

id
string
required

Body

application/json
type
enum<string>
required
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
CAA
value
string
required
name
string
ttl
number
Required range: 60 <= x <= 86400
priority
number
Required range: 0 <= x <= 65535
mode
enum<string>
default:replace
Available options:
replace,
append
acknowledge_unowned
boolean

Response

Created.

The response is of type object.